<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    android:windowSoftInputMode="adjustResize"
    tools:context=".modules.home.fragment.from.DishTestActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="#F6F4ED">

        <!-- 其他 -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="0.4"
                android:orientation="horizontal">

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="30dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/goodname"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:ellipsize="end"
                            android:fontFamily="@font/fz2"
                            android:maxLines="1"
                            android:shadowColor="#65000000"
                            android:shadowDx="0.0"
                            android:shadowDy="3.0"
                            android:shadowRadius="1.0"
                            android:text=""
                            android:textColor="#BEAA6A"
                            android:textSize="45dp" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">
                            <Chronometer
                                android:id="@+id/runtime"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerHorizontal="true"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="3dp"
                                android:textColor="#BEAA6A"
                                android:textSize="25dp"
                                android:textStyle="bold|italic" />

                            <CheckBox
                                android:layout_marginLeft="30dp"
                                android:id="@+id/check_PF"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:buttonTint="#BEAA6A"/>
                            <TextView
                                android:id="@+id/name"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:text="炒制完成自动清洗"
                                android:textSize="20dp"
                                android:textColor="#BEAA6A"/>
                        </LinearLayout>


                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="200dp"
                    android:layout_height="match_parent"
                    android:layout_alignParentRight="true">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom
                        android:id="@+id/zanting_goodmake"
                        android:layout_width="70dp"
                        android:layout_height="70dp"
                        android:layout_centerInParent="true"
                        android:contentDescription="111"
                        android:visibility="invisible"
                        app:imagesrc_ks="@mipmap/zhizuo_zt2"
                        app:imagesrc_tz="@mipmap/zhizuo_jx2" />
                </RelativeLayout>
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="2.15">


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="70dp">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentBottom="true"
                                android:layout_centerHorizontal="true">

                                <RelativeLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="match_parent">

                                    <TextView
                                        android:id="@+id/chaoguo_wendu"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_centerInParent="true"
                                        android:shadowColor="#65000000"
                                        android:text="39°C"
                                        android:textColor="#C6C6C3"
                                        android:textSize="30dp"
                                        android:textStyle="bold" />
                                </RelativeLayout>
                                <!--                    android:shadowDx="0.0"-->
                                <!--                    android:shadowDy="15.0"-->
                                <!--                    android:shadowRadius="7.0"-->
                                <com.bonait.bnframework.modules.home.fragment.mode.newhuoli_control
                                    android:id="@+id/huoli"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginLeft="@dimen/dp_10" />
                            </LinearLayout>
                        </RelativeLayout>
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">

                        <ImageView
                            android:id="@+id/device_image"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/device1" />

                        <!-- 翻炒速度 -->
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="50dp"
                            android:layout_marginTop="10dp"
                            android:orientation="vertical">

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/fanchaoshudu"
                                android:layout_width="240dp"
                                android:layout_height="60dp"
                                android:contentDescription=""
                                android:tag="翻炒速度-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <LinearLayout
                                android:id="@+id/fanchaoshudu_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:visibility="gone">

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/fanchaoshudu_k"
                                    android:layout_width="60dp"
                                    android:layout_height="50dp"
                                    android:contentDescription="true"
                                    android:tag="快"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/fanchaoshudu_z"
                                    android:layout_width="60dp"
                                    android:layout_height="50dp"
                                    android:contentDescription="true"
                                    android:tag="中"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/fanchaoshudu_m"
                                    android:layout_width="60dp"
                                    android:layout_height="50dp"
                                    android:contentDescription="true"
                                    android:tag="慢"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/fanchaoshudu_t"
                                    android:layout_width="60dp"
                                    android:layout_height="50dp"
                                    android:contentDescription="true"
                                    android:tag="停"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />
                            </LinearLayout>
                        </LinearLayout>

                        <!-- 火力 -->
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_alignParentBottom="true"
                            android:layout_marginRight="200dp"
                            android:layout_marginBottom="180dp"
                            android:orientation="vertical" />

                        <!-- 投料 -->
                        <LinearLayout
                            android:id="@+id/touliao_k"

                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="40dp"
                            android:layout_marginTop="140dp"
                            android:orientation="horizontal">

                            <TextView
                                android:layout_width="83dp"
                                android:layout_height="wrap_content"
                                android:text="④"
                                android:textAlignment="center"
                                android:textColor="@color/white"
                                android:textSize="24dp"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="83dp"
                                android:layout_height="wrap_content"
                                android:text="③"
                                android:textAlignment="center"
                                android:textColor="@color/white"
                                android:textSize="24dp"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="45dp"
                                android:layout_height="wrap_content"
                                android:text="②"
                                android:textAlignment="center"
                                android:textColor="@color/white"
                                android:textSize="24dp"
                                android:textStyle="bold" />

                            <TextView
                                android:layout_width="45dp"
                                android:layout_height="wrap_content"
                                android:text="①"
                                android:textAlignment="center"
                                android:textColor="@color/white"
                                android:textSize="24dp"
                                android:textStyle="bold" />

                        </LinearLayout>

                        <LinearLayout
                            android:id="@+id/touliao_m"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="40dp"
                            android:layout_marginTop="175dp"
                            android:orientation="horizontal">

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/touliao4"
                                android:layout_width="83dp"
                                android:layout_height="90dp"
                                android:contentDescription=""
                                android:tag="投料-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/touliao3"
                                android:layout_width="83dp"
                                android:layout_height="90dp"
                                android:contentDescription=""
                                android:tag="投料-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/touliao2"
                                android:layout_width="45dp"
                                android:layout_height="90dp"
                                android:contentDescription=""
                                android:tag="投料-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/touliao1"
                                android:layout_width="45dp"
                                android:layout_height="90dp"
                                android:contentDescription=""
                                android:tag="投料-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />
                        </LinearLayout>

                        <!-- 调料 -->
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_alignParentBottom="true"
                            android:layout_marginRight="60dp"
                            android:layout_marginBottom="50dp"
                            android:orientation="vertical">

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/yeliao1"
                                android:layout_width="90dp"
                                android:layout_height="70dp"
                                android:contentDescription=""
                                android:tag="液料"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/yeliao2"
                                android:layout_width="90dp"
                                android:layout_height="70dp"
                                android:contentDescription=""
                                android:tag="液料"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/yeliao3"
                                android:layout_width="90dp"
                                android:layout_height="70dp"
                                android:contentDescription=""
                                android:tag="液料"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />
                        </LinearLayout>

                        <!-- 水 -->
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="155dp"
                            android:layout_marginRight="30dp"
                            android:orientation="vertical">

<!--                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3-->
<!--                                android:id="@+id/chushui"-->
<!--                                android:layout_width="140dp"-->
<!--                                android:layout_height="80dp"-->
<!--                                android:contentDescription=""-->
<!--                                android:tag="水-按钮"-->
<!--                                app:imagesrc_ks="@mipmap/sb1"-->
<!--                                app:imagesrc_qt="@mipmap/sb2"-->
<!--                                app:imagesrc_tz="@mipmap/sb3" />-->
                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/yeliao4"
                                android:layout_width="140dp"
                                android:layout_height="80dp"
                                android:contentDescription=""
                                android:tag="液料"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />
                        </LinearLayout>

                        <!-- 锅口朝向 -->
                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_marginTop="10dp"
                            android:layout_marginRight="80dp"
                            android:orientation="vertical">
                            <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                android:id="@+id/guokoucaoxiang"
                                android:layout_width="100dp"
                                android:layout_height="80dp"
                                android:contentDescription="true"
                                android:tag="锅口朝向-按钮"
                                app:imagesrc_ks="@mipmap/sb1"
                                app:imagesrc_qt="@mipmap/sb2"
                                app:imagesrc_tz="@mipmap/sb3" />

                            <LinearLayout
                                android:id="@+id/guokoucaoxiang_1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                android:visibility="gone">

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/guokoucaoxiang_cc"
                                    android:layout_width="100dp"
                                    android:layout_height="60dp"
                                    android:contentDescription="true"
                                    android:tag="炒菜位-按钮"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/guokoucaoxiang_cl"
                                    android:layout_width="100dp"
                                    android:layout_height="60dp"
                                    android:contentDescription="true"
                                    android:tag="抽料位-按钮"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/guokoucaoxiang_dc"
                                    android:layout_width="100dp"
                                    android:layout_height="60dp"
                                    android:contentDescription="true"
                                    android:tag="倒菜位-按钮"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />

                                <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                                    android:id="@+id/guokoucaoxiang_qx"
                                    android:layout_width="100dp"
                                    android:layout_height="60dp"
                                    android:contentDescription="true"
                                    android:tag="清洗位-按钮"
                                    app:imagesrc_ks="@mipmap/sb1"
                                    app:imagesrc_qt="@mipmap/sb2"
                                    app:imagesrc_tz="@mipmap/sb3" />
                            </LinearLayout>
                        </LinearLayout>

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/shoudong_touliao"
                            android:layout_width="120dp"
                            android:layout_height="80dp"
                            android:layout_alignParentBottom="true"
                            android:layout_marginLeft="40dp"
                            android:layout_marginBottom="100dp"
                            android:contentDescription=""
                            android:tag="手动投料-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                    </RelativeLayout>
                </LinearLayout>


                <!-- 不透明蒙版 开始或结束-->
                <RelativeLayout
                    android:id="@+id/kaishiorstop"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#BD25323F"
                    android:clickable="true"
                    android:focusable="true">

                    <TextView
                        android:id="@+id/text_ms"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:fontFamily="@font/fz2"
                        android:text="请先{开始}录制"
                        android:textColor="@color/white"
                        android:textSize="50dp"></TextView>
                </RelativeLayout>

                <!-- 不透明蒙版 执行中-->
                <RelativeLayout
                    android:id="@+id/zhixingzhong"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#BD25323F"
                    android:clickable="true"
                    android:focusable="true"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:fontFamily="@font/fz2"
                        android:text="执行中...请稍后..."
                        android:textColor="@color/white"
                        android:textSize="50dp"></TextView>
                </RelativeLayout>

                <!-- 不透明蒙版 加水-->
                <RelativeLayout
                    android:id="@+id/guoneichoushui"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#BD25323F"
                    android:clickable="true"
                    android:focusable="true"
                    android:visibility="gone">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="@font/fz2"
                            android:text="抽水中..."
                            android:textColor="@color/white"
                            android:textSize="50dp" />

                        <Chronometer
                            android:id="@+id/runtime_cs"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp"
                            android:textAlignment="center"
                            android:textColor="#DA5A17"
                            android:textSize="50dp"
                            android:textStyle="bold|italic" />

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="40dp">

                            <ImageView
                                android:id="@+id/tingzhijiashui"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerHorizontal="true"
                                android:src="@mipmap/tingzhijiashui" />
                        </RelativeLayout>

                    </LinearLayout>

                </RelativeLayout>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="0.4"
                android:background="#BEAA6A">

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="30dp"
                    android:layout_weight="2">

                    <ListView
                        android:id="@+id/datatab_gxbz"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:divider="#00000000"
                        android:dividerHeight="3dp" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="200dp"
                    android:layout_height="match_parent">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom
                        android:id="@+id/start_goodmake"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        app:imagesrc_ks="@mipmap/zhizuo_ks2"
                        app:imagesrc_tz="@mipmap/zhizuo_js2" />
                </RelativeLayout>

            </LinearLayout>
        </LinearLayout>


        <!-- 不透明蒙版 执行中-->
        <RelativeLayout
            android:id="@+id/caipingmingchen"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/dialogbj"
            android:clickable="true"
            android:focusable="true"
            android:visibility="gone">

            <RelativeLayout
                android:layout_width="400dp"
                android:layout_height="360dp"
                android:layout_centerInParent="true"
                android:background="@drawable/silosbj">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="20dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="30dp"
                        android:fontFamily="@font/fz2"
                        android:text="菜  品  名  称"
                        android:textAlignment="center"
                        android:textColor="@color/topbj1"
                        android:textSize="40dp" />

                    <EditText
                        android:id="@+id/caipinmingchen_text"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginLeft="60dp"
                        android:layout_marginTop="30dp"
                        android:layout_marginRight="60dp"
                        android:background="@drawable/input_bj1"
                        android:hint="请输入研发菜品名称"
                        android:inputType="textMultiLine"
                        android:lines="3"
                        android:padding="3dp"
                        android:textSize="19dp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="30dp">

                        <ImageView
                            android:id="@+id/click_cpmc"
                            android:layout_width="200dp"
                            android:layout_height="80dp"
                            android:layout_centerInParent="true"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/queding" />
                    </RelativeLayout>
                </LinearLayout>

            </RelativeLayout>

        </RelativeLayout>

        <!-- 不透明蒙版 执行中-->
        <RelativeLayout
            android:id="@+id/liaohedata"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/dialogbj"
            android:clickable="true"
            android:focusable="true">

            <androidx.core.widget.NestedScrollView
                android:layout_width="500dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:layout_centerInParent="true"
                android:background="@drawable/silosbj">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="20dp"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="10dp"
                        android:fontFamily="@font/fz2"
                        android:text="请先定义料盒信息"
                        android:textAlignment="center"
                        android:textColor="@color/topbj1"
                        android:textSize="30dp" />

                    <TextView
                        android:id="@+id/liaohedata_num"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="10dp"
                        android:text="①号料盒"
                        android:textAlignment="center"
                        android:textColor="#567722"
                        android:textSize="24dp" />

                    <EditText
                        android:id="@+id/liaohedata_text"
                        android:layout_width="match_parent"
                        android:layout_height="100dp"
                        android:layout_marginLeft="40dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="40dp"
                        android:background="@drawable/input_bj1"
                        android:hint="请输入料盒描述"
                        android:inputType="textMultiLine"
                        android:lines="3"
                        android:padding="3dp"
                        android:textSize="19dp"
                        android:imeOptions="actionDone"/>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:layout_marginLeft="40dp"
                            android:layout_marginRight="40dp"
                            android:src="@mipmap/newsilos1" />

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="20dp"
                            android:layout_marginTop="50dp"
                            android:layout_marginRight="40dp">

                            <TextView
                                android:id="@+id/liaohe4"
                                android:layout_width="87dp"
                                android:layout_height="75dp"
                                android:layout_marginLeft="30dp"
                                android:background="#567722"
                                android:ellipsize="end"
                                android:maxLines="4"
                                android:text=""
                                android:textColor="@color/white" />

                            <TextView
                                android:id="@+id/liaohe3"
                                android:layout_width="87dp"
                                android:layout_height="75dp"
                                android:layout_marginLeft="10dp"
                                android:background="#567722"
                                android:ellipsize="end"
                                android:maxLines="4"
                                android:text=""
                                android:textColor="@color/white" />

                            <TextView
                                android:id="@+id/liaohe2"
                                android:layout_width="48dp"
                                android:layout_height="75dp"
                                android:layout_marginLeft="5dp"
                                android:background="#567722"
                                android:ellipsize="end"
                                android:maxLines="4"
                                android:text=""
                                android:textColor="@color/white" />

                            <TextView
                                android:id="@+id/liaohe1"
                                android:layout_width="48dp"
                                android:layout_height="75dp"
                                android:layout_marginLeft="8dp"
                                android:background="#567722"
                                android:ellipsize="end"
                                android:maxLines="4"
                                android:text=""
                                android:textColor="@color/white" />
                        </LinearLayout>

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="30dp">

                        <ImageView
                            android:id="@+id/click_lhdata"
                            android:layout_width="200dp"
                            android:layout_height="80dp"
                            android:layout_centerInParent="true"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/queding" />

                        <ImageView
                            android:id="@+id/click_lhdata_fh"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/huituisyb" />
                    </RelativeLayout>

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>
        </RelativeLayout>

        <!-- 不透明蒙版 执行中-->
        <RelativeLayout
            android:id="@+id/gongyibuzhoujilu"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/dialogbj"
            android:clickable="true"
            android:focusable="true"
            android:visibility="gone">

            <RelativeLayout
                android:layout_width="500dp"
                android:layout_height="650dp"
                android:layout_centerInParent="true"
                android:layout_margin="50dp"
                android:background="@drawable/silosbj">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="20dp"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:src="@mipmap/jl1" />

                        <Button
                            android:id="@+id/close_from"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentTop="true"
                            android:layout_alignParentRight="true"
                            android:background="@mipmap/fanhui1"
                            android:textColor="@color/white"
                            android:textSize="14dp"
                            android:visibility="gone" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/gongyi_bj">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:layout_marginTop="10dp"
                            android:layout_marginBottom="10dp"
                            android:text="工艺步骤记录"
                            android:textAlignment="center"
                            android:textColor="@color/white"
                            android:textSize="25dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_marginTop="10dp"
                        android:layout_weight="1">

                        <ListView
                            android:id="@+id/datatab_gxbz1"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:divider="#00000000"
                            android:dividerHeight="3dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp">

                        <ImageView
                            android:id="@+id/click_savemncz"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/queding2" />
                    </RelativeLayout>
                </LinearLayout>
            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue" />

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>